# Created by pyp2rpm-3.3.2
%global pypi_name openstack-doc-tools

%bcond_without docs

# We don't have python-scrapy and it requires quite a few other packages
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 6
Summary:        Tools for OpenStack Documentation
Group:          Development/Python
License:        ASL 2.0
URL:            https://www.openstack.org/
Source0:        %{pypi_source}
Patch0:         odt-3.3.1-requirement.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with test}
BuildRequires:  python3dist(bashate)
BuildRequires:  python3dist(hacking)
BuildRequires:  python3dist(doc8)
BuildRequires:  python3dist(pylint)
BuildRequires:  python3dist(reno)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(testrepository)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(scrapy)
%endif
%if %{with docs}
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(openstackdocstheme)
%endif

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libexslt)

%description
Tools used by the OpenStack Documentation project.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Tools used by the OpenStack Documentation project.

%package -n python-%{pypi_name}-doc
Summary:        openstack-doc-tools documentation

%description -n python-%{pypi_name}-doc
Documentation for openstack-doc-tools.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files os_doc_tools

%if %{without test}
rm -rf %{buildroot}%{_datadir}/%{pypi_name}
%endif

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc doc/source/doc-tools-readme.rst doc/source/sitemap-readme.rst sitemap/README.rst README.rst
%{_bindir}/doc-tools-build-rst
%{_bindir}/doc-tools-check-languages

%if %with_docs
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif


%changelog
* Fri Dec 27 2024 papoteur <papoteur> 3.3.1-6.mga10
+ Revision: 2130456
- add and use pytest

* Wed Mar 06 2024 daviddavid <daviddavid> 3.3.1-5.mga10
+ Revision: 2048006
- relax sphinx dependency

* Wed Mar 06 2024 papoteur <papoteur> 3.3.1-4.mga10
+ Revision: 2047945
- Rebuild

* Thu Feb 22 2024 papoteur <papoteur> 3.3.1-3.mga10
+ Revision: 2043230
- rebuild for python 3.12

* Thu Nov 24 2022 papoteur <papoteur> 3.3.1-2.mga9
+ Revision: 1910848
- fix requirements

* Tue Oct 11 2022 papoteur <papoteur> 3.3.1-1.mga9
+ Revision: 1896227
- new 3.3.1
  remove BR on demjson
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Sat Sep 04 2021 wally <wally> 3.3.0-1.mga9
+ Revision: 1744284
- new version 3.3.0

* Sat Jun 26 2021 wally <wally> 1.10.0-4.mga9
+ Revision: 1732373
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.10.0-3.mga8
+ Revision: 1533853
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.10.0-2.mga8
+ Revision: 1445509
- rebuild for python-3.8

* Sun Aug 04 2019 wally <wally> 1.10.0-1.mga8
+ Revision: 1427287
- new version 1.10.0
- drop python2 support
- enable doc build

* Wed Jan 09 2019 kekepower <kekepower> 1.8.0-1.mga7
+ Revision: 1353351
- Remove the sitemap files as they require python-scrapy
- Disable checks for now
- Disable docs for now
- imported package python-openstack-doc-tools

